System.ServiceModel 4.0.0.0 System.ServiceModel.Dispatcher.ChannelDispatcherBase

A object associates an at a particular URI (called a listen URI) with an instance of a service. Each object can have many objects, each associated with a different listener and listen URI for that service.

When a message arrives, the queries each of the associated objects whether the endpoint can accept the message, and passes the message to the one that can. The object is responsible for processing messages from a when the destination address of a message matches the property and the message action matches the property.

All properties that control the lifetime and behavior of a channel session are available for inspection or modification on the object. In addition to the , these include custom objects, the , the , the associated and .

A component that accepts channels and associates them with a service.

- Constructor
  4.0.0.0

  Initializes a new instance of the class from the provided listener, with system-provided default timeouts.

  Initializes a new instance of the class.

  The for the channel dispatcher.
- Constructor
  4.0.0.0

  Initializes a new instance of the class from the provided listener and binding, with system-provided default timeouts.

  Initializes a new instance of the class.

  The for the channel dispatcher.
  The name of the binding used to configure the service.
- Constructor
  4.0.0.0

  Initializes a new instance of the class from the provided listener and binding, with the specified default timeouts.

  Initializes a new instance of the class.

  The for the service.
  The name of the binding used to configure the service.
  The for the service.
- Method
  4.0.0.0
  System.Void ``

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Attaches the channel dispatcher to the host.

  The for the service.
- Property
  4.0.0.0
  System.String To be added.

  Used to obtain the binding name for the binding with which this channel dispatcher is associated.

  Gets the name of the binding used to configure the service.

- Property
  4.0.0.0
  System.Collections.Generic.SynchronizedCollection<System.ServiceModel.Dispatcher.IChannelInitializer> To be added.

  Use this property to insert a custom channel initializer into the initialization collection to inspect or modify channel state when they are created. This is also useful to perform the same behavior on outgoing channels if the contract associated with a dispatcher is a duplex contract.

  Gets a set of objects that you can use to inspect and add state to channels when they are first created.

- Method
  4.0.0.0
  System.Void

  Calling this method stops the listener listening.

  Stops the listener from accepting new channels.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This default close timeout can be set using . Otherwise, a service model default value of 1 minute is used.

  Gets the default interval of time allowed for the channel dispatcher to close.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This default open timeout can be set using . Otherwise, a service model default value of 1 minute is used.

  Gets the default interval of time allowed for the channel dispatcher to open.

- Method
  4.0.0.0
  System.Void ``

  The can only be detached when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Sets the associated with the channel dispatcher to null.

  Detaches the service host from the channel dispatcher.

  The for the service.
- Property
  4.0.0.0
  System.Collections.Generic.SynchronizedCollection<System.ServiceModel.Dispatcher.EndpointDispatcher> To be added.

  The has a distinct for each endpoint that the channel can support.

  Use the to obtain access to runtime properties that enable you to customize the runtime across an entire endpoint.

  Gets the endpoint dispatchers which forward messages to the channel endpoints.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Dispatcher.IErrorHandler> To be added. To be added.

  Gets a set of objects that can be used to insert custom error handling functionality for an endpoint.

- Property
  4.0.0.0
  System.ServiceModel.ServiceHostBase To be added.

  Each object can have many objects, each associated with a different for that service.

  Gets the host for the service associated with the dispatcher.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets a value that indicates whether to include the details about an exception in a fault.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the accept method calls on the listener are done under a transaction.

- Property
  4.0.0.0
  System.Boolean To be added.

  The property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets a value that indicates whether the receive method calls on the listener are done under a transaction.

- Property
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener To be added.

  A associates an at a particular URI with an instance of a service.

  Gets the listener associated with the channel dispatcher.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Set the property to true if you want to prevent the client from adding Message ID and ReplyTo addressing headers to request/response messages so that your application can control these headers.

  Gets or sets a value that indicates whether the channel dispatcher adds addressing headers to request-reply messages.

- Property
  4.0.0.0
  System.Int32 To be added.

  The property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets the maximum size for a transacted batch.

- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageVersion To be added.

  Specifies the versions of SOAP and WS-Addressing associated with a message and its exchange.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets the SOAP message and WS-Addressing versions that are used or expected.

- Method
  4.0.0.0
  System.Void To be added.

  Aborts the listener associated with the dispatcher.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Begins an asynchronous operation to close a channel listener for the dispatcher that must be completed within a specified interval of time.

  The that references the asynchronous operation to close a channel listener for the dispatcher.

  The that specifies how long the close operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the close operation. An object, specified by the application, that contains state information associated with the asynchronous close operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  The channel dispatcher must be associated with a non-null service host when this method is called.

  Begins an asynchronous operation to open a channel listener for the dispatcher that must be completed within a specified interval of time.

  The that references the asynchronous operation to open a channel listener for the dispatcher.

  The that specifies how long the open operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the open operation. An object, specified by the application, that contains state information associated with the asynchronous open operation.
- Method
  4.0.0.0
  System.Void `` To be added.

  Closes the channel listener associated with the dispatcher within a specified interval of time.

  The that specifies the interval of time allowed for the listener to close.
- Method
  4.0.0.0
  System.Void To be added.

  Provides a trace of the closing of the endpoint dispatchers associated with the channel dispatcher.

- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to close a channel listener for the dispatcher.

  The returned by a call to the method.
- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to open a channel listener for the dispatcher.

  The returned by a call to the method.
- Method
  4.0.0.0
  System.Void ``

  The channel dispatcher must be associated with a non-null service host when this method is called and message version must be set to a non-null value.

  Opens the listener associated with the channel dispatcher.

  The that specifies the interval of time allowed for the listener to open.
- Method
  4.0.0.0
  System.Void

  The channel dispatcher must be associated with a non-null service host when this method is called.

  Populates and validates filter table used to dispatch to the endpoints.

- Method
  4.0.0.0
  System.Void

  The channel dispatcher must be associated with a non-null service host on opening.

  Checks whether the channel dispatcher is attached to a host.

- Property
  4.0.0.0
  System.Boolean To be added.

  If a binding implements , indigo1 assigns the value of the property to this property. So if this value is true, the false default value of is overridden.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets a value that specifies whether the dispatcher uses synchronous calls to read messages from channels.

- Property
  4.0.0.0
  System.ServiceModel.Dispatcher.ServiceThrottle To be added.

  This provides access to the controls used to optimize the availability and performance of a service.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets the service throttle for the service associated with the channel dispatcher.

- Property
  4.0.0.0
  System.Transactions.IsolationLevel To be added.

  Use the property to get or set the default isolation level for new transactions created by the dispatcher for the service.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets the default isolation level for transactions.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This property can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Gets or sets a value that specifies the default timeout for new transactions created by the dispatcher on behalf of the service.